//
//  ViewController.swift
//  SimpleTVOSSample
//
//  Created by David Cortes on 3/14/19.
//  Copyright © 2023 Akamai. All rights reserved.
//

import UIKit
import AVKit
import AmpCore
import AmpMediaAnalytics

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer!
    var ampMediaAnalytics:AmpMediaAnalyticsManager!
    var playerController: AVPlayerViewController = AVPlayerViewController()
    var url = "https://bitdash-a.akamaihd.net/content/MI201109210084_1/m3u8s/f08e80da-bf1d-4e3d-8899-f0f6155f6efa.m3u8"

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        self.ampPlayer = AmpPlayer(parentViewController: self, playerController: playerController)
        self.ampPlayer.registerObserver(self)
        self.ampPlayer.autoplay = true
        setupMA()
        self.ampPlayer.setLicense("AwHr4sQqNMbPLOCU+iYG6UF/kTm9agklIghANKyCWBTL4IiiNtcmaqdIImJyhluG/n3lay4igWob0koOKFyNLkyj/FEbPX8/ylpZrc42GlDrjMxVXrTPsdpEJLU6uDvEjrdc4ktSGSI8iIhlPY2ErGwa8R2RcN3PoriT414xji4Jk7ANkY/9UQEk+jboBNRPjOVPqjtojJwkNAC5mpZcnrOK6b8kn0w4XYns3nNtLg7SmwKLjIYV62KmMMEuZ1hKW+k=")
        self.ampPlayer.play(url: url)
    }

    func setupMA() {
        let analyticsUrl = "https://ma1019-r.analytics.edgekey.net/config/beacon-8566.xml"
        
        let customData = [
            "title": "AKaMTitle",
            "category": "AKamCategory",
            "playerId": "AKAM AVPlayer playerId",
            "device": "AKAM AVPlayer device",
            "show": "AKAM AVPlayer$show"
        ]
        
        self.ampMediaAnalytics = AmpMediaAnalyticsManager(  ampPlayer: self.ampPlayer, configurationUrl: analyticsUrl, dimensions: customData)
    }
}

extension ViewController:PlayerEventObserver {
    func onAmpError(_ ampPlayer: AmpPlayer, error: PlayerError, code: Int, message: String) {
        print("An error has occurred \(error) \(code) \(message)")
    }
}

